/* JM: for the paralax effect of the banner */
#header_wrapper {
    position: sticky;
    top: 0;
    z-index: 1;
}

#block1 {
    position: relative;
    z-index: -1;
    height: 35vmin;
}

#row1, #maincontent, #row2 {
  background: #d5f3f5;
}

/* JM: for the correct colors of the tree used by Phoca Download */
.jstree-proton .jstree-clicked {
  background: #80dbe0 !important;
  color: #fff !important;  
}

.jstree-proton .jstree-hovered {
  background: #30bec6 !important;
  color: #fff !important;  
}

/* JM: to adapt image-effect-ck */
figure[class*="effectck"] figcaption {
	padding: 1em; /* JM: was 2em */
	color: #fff;
	/* JM: text-transform: uppercase; */
	font-size: 1.25em;
	-webkit-backface-visibility: hidden;
	backface-visibility: hidden;
}

/* JM: to adapt form colors */
#login-form {
  background-color: #fff;
}

/* JM: to have a bottom footer */
/* html, body {
  height: 100%;
  margin: 0;
} */

body {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
}

#main_wrapper {
  flex: 1;
}

/* JM: for the images above the news articles */
.img-container-ekk {
  width: 200px;
  height: 150px;
  overflow: hidden;
}

.img-container-ekk img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

/* JM: to hack the show plus module */
.showplus-container img {
  width: 100%;
  height: auto;
  display: block;
}

.showplus-container img {
  max-width: 100&;
  width: 100%;
}

/* JM: added new stuff */
figure[class*="effectck"][class*="circle"] figcaption [class*="desc"] {
  font-weight: normal; /* added to override hyperlink */
}

/* JM to fix double GTranslate globes */
header .gtranslate_wrapper {
    height: 40px !important;
}

/* JM: The logo should not be too large on a small wide screen */ 
@media screen and (orientation: landscape) and (max-width: 900px) {
    #bannerlogo .tck-logo-img {
        max-height: 60px !important;
        height: auto !important;
        width: auto;
    }
}

/* JM: for the overlay module */
/* Container */
#ek-overlay {
  position: fixed;
  inset: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 9999;
}

/* Hidden state */
#ek-overlay.hidden {
  display: none;
}

/* Dark background */
.ek-overlay-backdrop {
  position: absolute;
  inset: 0;
  background: rgba(0,0,0,0.6);
  z-index: 1;
}

/* Content box */
.ek-overlay-box {
  position: relative;
  background: white;
  padding: 2rem;
  border-radius: 8px;
  max-width: 700px;
  width: 90%;
  max-height: 90%;
  overflow-y: auto;
  z-index: 2;
}

/* Close button */
.ek-overlay-close {
  position: absolute;
  top: 10px;
  right: 15px;
  font-size: 2rem;
  background: none;
  border: none;
  cursor: pointer;
  z-index: 3;
}
